import { serialNumberTypeList, serialNumberPositionList, displayList } from '@/views/book/courseware/data/common';

// 音频查看方式
export const audioViewMethodList = [
  { value: 'independent', label: '独立' },
  { value: 'list', label: '列表' },
  { value: 'icon', label: '图标' },
];

export function getAudioProperty() {
  return {
    serial_number: 1, // 序号
    sn_type: serialNumberTypeList[0].value,
    sn_position: serialNumberPositionList[0].value,
    sn_display_mode: displayList[0].value,
    view_method: audioViewMethodList[0].value,
  };
}

export function getAudioData() {
  return {
    type: 'audio',
    title: '音频',
    single_size: 100, // 单位MB
    total_size: 1024, // 单位MB
    min_width: '280',
    min_height: '110',
    property: getAudioProperty(),
    file_info_list: [],
    file_id_list: [], // 文件 id['20032-121212', '20032-121216']
    // 内容中包含的文件列表,
    file_list: [],
  };
}
